Get Status Page Config
Get Status Page Config. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Get Status Page Config. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/organizations.getStatusPageConfig?input=%7B%22organizationId%22%3A%22string%22%7D"{ "result": { "data": { "organization": { "id": "string", "logo": "string", "name": "string", "slug": "string" }, "settings": { "description": "string", "enabled": true, "showServerPlayers": true, "showTotalPlayers": true, "showTps": true, "showUptime": true, "title": "string" }, "servers": [ { "config": { "includeInTotalPlayers": true, "position": 0, "serverId": "string", "showOnlineState": true, "showPlayerCount": true, "showTps": true, "visible": true, "displayName": "string" }, "isOnline": true, "lastSeenAt": "2019-08-24T14:15:22Z", "minecraftVersion": "string", "name": "string", "serverId": "string", "serverType": "string" } ] } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Get Organization Route Access GET
Get Organization Route Access. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
List Access Grants GET
List Access Grants. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.